import 'package:flutter/material.dart';
import 'package:syncrow_app/features/shared_widgets/text_widgets/body_large.dart';
import 'package:syncrow_app/navigation/routing_constants.dart';
import 'package:syncrow_app/utils/context_extension.dart';
import 'package:syncrow_app/utils/resource_manager/font_manager.dart';

class DontHaveAnAccount extends StatelessWidget {
  const DontHaveAnAccount({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(top: 30),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          BodyLarge(
            text: "Don't have an account?",
            style: context.displaySmall.copyWith(color: Colors.white),
          ),
          TextButton(
            onPressed: () {
              Navigator.pushNamed(context, Routes.authSignUp);
            },
            child: BodyLarge(
              text: "Sign Up",
              style: context.displaySmall.copyWith(
                color: Colors.black,
                fontWeight: FontsManager.bold,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
